# Copyright 2020-2022 Le Filament (<https://le-filament.com>)
# License AGPL-3 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ExportJournalField(models.Model):
    _name = "export.journal.field"
    _description = "Export journal - champs à exporter"
    _order = "sequence"

    name = fields.Char("Header")
    sequence = fields.Integer(default=10)
    export_id = fields.Many2one(comodel_name="export.journal.type", string="Parent")
    field_name = fields.Char("Champ")
    is_python = fields.Boolean("Expression python", default=True)
    is_sum = fields.Boolean()
