# Copyright 2020-2022 Le Filament (<https://le-filament.com>)
# License AGPL-3 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class ExportJournalGroup(models.Model):
    _name = "export.journal.group"
    _description = "Export journal - champs à exporter"
    _order = "sequence"

    sequence = fields.Integer(default=10)
    export_id = fields.Many2one(comodel_name="export.journal.type", string="Parent")
    field_id = fields.Many2one(
        comodel_name="ir.model.fields",
        string="Champ",
        domain="[('model_id', '=', 'account.move.line'), ('store', '=', True),"
        "('ttype', 'not in', "
        "['many2many', 'one2many', 'binary', 'integer', 'float'])"
        "]",
    )
    field_type = fields.Selection(related="field_id.ttype")
    field_agg = fields.Char("Aggregation")

    @api.onchange("field_id")
    def _onchange_field_id(self):
        if self.field_type not in ["date", "datetime"]:
            self.field_agg = None
